/***********************************************************************\
* NLED Text Editor Copyright 1987-2003, Evan Alexander Weaver           *
*                                                                       *
* This source code, and the associated executable programs obtained by  *
* compiling it, are published under the GNU General Public License. See *
* the accompanying file "nled.txt" for the details of this license and  *
* some other comments about NLED and this source code.                  *
*                                                                       *
* File: NLEDSHWR.C                        Date Last Modified: 06-Apr-94 *
*                                                                       *
* Shareware message screen (encoded to prevent tampering) for SNLED     *
* versions only.                                                        *
*                                                                       *
* Functions are:                                                        *
*   shareware() - shareware notice screen (SNLED only)                  *
*                                                                       *
* Note that this file is no longer used. Originally, NLED cost money    *
* (though not much!), and SNLED was a free, small memory model (hence   *
* limited to 64KB files) version. Since SNLED could be used, in binary  *
* mode, to patch the SNLED exectuable, a simple encryption scheme was   *
* used to "hide" the help screen data in the executable, so that people *
* who hadn't agreed to the NLED license wouldn't be able to change the  *
* SNLED help screen to make it look like they had written the program   *
* (or some other unkind thing). This code has been left here because it *
* an interesting and/or amusing idea. OK, it was too cute to toss out!  *
\***********************************************************************/

#include <stdio.h>
#include "nled.h"
#include "nledvdef.h"
#include "nledfdef.h"

#ifdef SHAREWARE
/**********************************************************************\
* Displays Shareware Notice Screen (which is encrypted) and then waits *
* for keypress.                                                        *
*                                                                      *
* 04-Oct-91: Address change!                                           *
* 12-Feb-92: moved to a separate file.                                 *
* 06-Apr-94: updated Copyright date                                    *
\**********************************************************************/
void shareware(void)
{
    int i,j;

    static char *help[] = {
"-./0123456*^ZYSS0a{w~B=rBhIWKU]`estuvwxyz{|",
"-./0123456*N{}yxz4FOOOFKTUQ>L@xGkPu\\estuvwxyz{|",
"",
"Tikv$uxvo{kx,zo0sw3z{|:FJOUYc",
"",
" !\"#$%&'()2<5-bwy2z}9<@CGKTWn",
" !\"#$%&'()2=5-bwu1|x9@CGJNTXo",
" !\"#$%&'()2>5-\\~0tzt|{7:~HKPTXs",
"",
" !PRXJ@'[WVPP-x|}27}}<BEHVjhY}\\_r",
"",
" !Ki$~u|(usvq-wy2}y:AFHUX\\dxk",
" !{ry%ivv}|tnt05EC@59>FHMP~xxU^Z_f",
" !hxrhzpwwkwx.t{u{9<plkeeNCDIJRSV^dgj",
" !FRW%slux|,yw|y;34v{8z:CXKT{zttQTXZdu{",
" !Uhri&wiwpz/r2v|z}9<BVIyQ[_ew",
"",
" !\"#$%&'()*+,-./012345m|y<`EjQ",
" !\"#$%&'()*+,>A@0]s{{|9[LAvUJz^Swf[q_sw",
"",
" !Ki$~u|(myy3.z~3}w8;>CGKQzzcX^bcij",
" !cqh%ku|n|+m-u|6y;D\\G?BFNc",
"",
"-./0123456789:;<=>?@ABCDE9j?CGJPyyVdefghijklmnopqrstuvwxyz{|"
    };

    /* note: screen size is harcoded for PC versions only! */
    qd_off();
    for (i = 0; i < 24; i++){
        qd_move(i,0);

        /* decode encoded shareware message */
        for (j = 0; help[i][j] != '\0'; j++)
            (help[i][j]) -= j;
        printstr(help[i]);
        qd_eeol();
    }
    row_no = 23;
    col_no = 54;
    qd_on();
    setdrawall();

    i = inputc();
    row_no = col_no = 0;
}
#endif

/*---------------------------END-OF-NLEDSHWR.C--------------------------*/
